package com.huatek.busi.dao;

import org.springframework.stereotype.Repository;

import com.huatek.torch.sql.dao.impl.BaseDao;
import com.huatek.torch.util.uuid.Uuid;
import com.huatek.busi.entity.BusiStability;

/**
 * 稳定性指标 Dao
 *
 * @author anker_cheng
 * @date Jul 29, 2019 2:13:41 PM
 */
@Repository
public class  BusiStabilityDao extends BaseDao<BusiStability, String> {

	public void saveOrUpdate(BusiStability entity){
		if(null == entity.getId()){
			entity.setId(Uuid.getUUID());
			super.add(entity);
		}else{
			super.updateLocal(entity);
		}
		
	}
}

